package com.hzs.common.core.enums;

import com.alibaba.fastjson2.JSONObject;
import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

/**
 * @Description:
 * @Author: yuhui
 * @Time: 2023/2/8 11:22
 * @Classname: EFrameworkEnum
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum EFrameworkType {

    /**
     * 虚拟
     */
    UNREAL(1, "虚拟", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 已注销
     */
    CANCEL(2, "已注销", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 嗨粉
     */
    HI_PINK(3, "海粉", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 优客
     */
    YOUKE(4, "优客", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 创客
     */
    MAKER(5, "创客", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * vip
     */
    VIP(6, "vip", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * SVIP
     */
    SVIP(7, "SVIP", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 区代
     */
    REGION_AGENT(8, "区代", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 市代
     */
    CITY_AGENT(9, "市代", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 待激活
     */
    WAIT_ACTIVATION(10, "待激活", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 已注销
     */
    LOG_OFF(11, "已注销", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 启动卡
     */
    STARTUP_CARD(12, "启动卡", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 普卡
     */
    PUKA(13, "普卡", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 铜卡
     */
    COPPER_CLIP(14, "铜卡", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 银卡
     */
    SILVER_CARD(15, "银卡", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 金卡
     */
    GOLDEN_CARD(16, "金卡", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 钻卡
     */
    DRILL_CARD(17, "钻卡", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 超钻卡
     */
    SUPER_DRILL_CARD(18, "超钻卡", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 银钻配送
     */
    SILVER_DELIVERY(19, "银钻配送", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 金钻配送
     */
    GOLD_DELIVERY(20, "金钻配送", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    /**
     * 超钻配送
     */
    SUPER_DELIVERY(21, "超钻配送", "https://hzs-in.oss-cn-beijing.aliyuncs.com/product/20220322/11ce6c5e-6d55-4a13-ae46-0d9fd530237b.jpg"),

    ;


    /**
     * 实际值
     */
    private final int value;

    /**
     * 显示标签
     */
    private final String label;

    /**
     * 图片地址
     */
    private final  String imgUrl;


    /**
     * 查询全部
     * @return
     */
    public static List<JSONObject> getFrameworkType(){
        List<JSONObject> resultList = new ArrayList<>();
        for (EFrameworkType eFrameworkType : EFrameworkType.values()) {
            JSONObject js = new JSONObject();
            js.put("value",eFrameworkType.getValue());
            js.put("label",eFrameworkType.getLabel());
            js.put("imgUrl",eFrameworkType.getImgUrl());
            resultList.add(js);
        }
        return resultList;
    }
}
